API ReferenceContacts
Update contact details
Updates a contact's details. Only the provided fields are changed. Requires the `contacts:write` scope.
Authorization
bearerAuth AuthorizationBearer <token>
Workspace API key, e.g. rl_live_….
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
email?string
Format
emailshopName?string
customAttributes?
storeId?|
Link the contact to a store by id, or null to unlink. The store must belong to the workspace.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/public/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "Ada Lovelace", "email": "[email protected]", "shopName": "acme.myshopify.com", "customAttributes": { "plan": "pro" } }'{ "id": "c0ffee00-1111-2222-3333-444455556666", "name": "Ada Lovelace", "email": "[email protected]", "phoneNumber": null, "shopName": "acme.myshopify.com", "avatarUrl": null, "identifier": "cust_8821", "companyId": null, "customAttributes": { "plan": "pro", "lifetimeValue": 4200 }, "createdAt": "2026-06-24T08:00:00.000Z", "updatedAt": "2026-06-25T09:30:00.000Z", "lastActivityAt": "2026-06-25T10:12:00.000Z"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}